Summary:	TDBC - Tcl Database Connectivity
Summary(pl.UTF-8):	TDBC - Tcl Database Connectivity (łączność Tcl z bazami danych)
Name:		tcl-tdbc
Version:	1.1.1
Release:	1
License:	Tcl (BSD-like)
Group:		Libraries
Source0:	http://downloads.sourceforge.net/tcl/tdbc%{version}.tar.gz
# Source0-md5:	3bd7c406dae9414ed14a9bb2e124d50e
URL:		http://tdbc.tcl.tk/
BuildRequires:	sed >= 4.0
BuildRequires:	tcl-devel >= 8.5
Requires:	tcl >= 8.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TDBC Tcl module contains the base classes and SQL tokenizer of Tcl
Database Connectivity. To access databases, you also need one or more
driver modules for the database manager(s) from tcl-tdbc-* packages.

%description -l pl.UTF-8
Moduł Tcl TDBC zawiera klasy bazowe oraz tokenizer SQL będące częścią
szkieletu Tcl Database Connectivity. W celu dostępu do baz danych
potrzebne są jeszcze moduły sterowników do odpowiednich silników baz
danych z pakietów tcl-tdbc-*.

%package devel
Summary:	Development files for Tcl TDBC module
Summary(pl.UTF-8):	Pliki programistyczna modułu Tcl TDBC
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	tcl-devel >= 8.5

%description devel
Development files for Tcl TDBC module.

%description devel -l pl.UTF-8
Pliki programistyczna modułu Tcl TDBC.

%prep
%setup -q -n tdbc%{version}

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# allow dependency generation
chmod 755 $RPM_BUILD_ROOT%{_libdir}/tdbc%{version}/*.so

# hide build paths
%{__sed} -e '/^[Tt][Dd][Bb][Cc]_BUILD_STUB_LIB_SPEC/s,-L.* -l,-L%{_libdir}/tdbc%{version} -l,' \
	-e '/^[Tt][Dd][Bb][Cc]_BUILD_STUB_LIB_PATH/s,=".*libtdbcstub,="%{_libdir}/tdbc%{version}/libtdbcstub,' \
	-e '/^[Tt][Dd][Bb][Cc]_SRC_DIR/s,=".*",="%{_libdir}/tdbc%{version}",' \
	-e '/^[Tt][Dd][Bb][Cc]_BUILD_INCLUDE_SPEC/s,"-I.*","-I%{_includedir}",' \
	-e '/^[Tt][Dd][Bb][Cc]_LIBRARY_PATH/s,=".*",="%{_libdir}/tdbc%{version}",' \
	-e '/^[Tt][Dd][Bb][Cc]_BUILD_LIBRARY_PATH/s,=".*",="%{_libdir}/tdbc%{version}",' \
	-i $RPM_BUILD_ROOT%{_libdir}/tdbc%{version}/tdbcConfig.sh

# tdbc drivers look here for tdbc configuration
install -d $RPM_BUILD_ROOT%{_prefix}/lib
%{__mv} $RPM_BUILD_ROOT%{_libdir}/tdbc%{version}/tdbcConfig.sh $RPM_BUILD_ROOT%{_prefix}/lib

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README license.terms
%dir %{_libdir}/tdbc%{version}
%attr(755,root,root) %{_libdir}/tdbc%{version}/libtdbc%{version}.so
%{_libdir}/tdbc%{version}/*.tcl
%{_includedir}/tdbc.h
%{_includedir}/tdbcDecls.h
%{_includedir}/tdbcInt.h
%{_mandir}/mann/tdbc*.n*

%files devel
%defattr(644,root,root,755)
%{_libdir}/tdbc%{version}/libtdbcstub%{version}.a
%{_prefix}/lib/tdbcConfig.sh
%{_mandir}/man3/Tdbc_Init.3*
%changelog
* Thu Jan 16 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tcl-tdbc.git;a=log;h=master

* Thu Jan 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 94d2d8e
- updated to 1.1.1

* Sat Jan 19 2019 Jakub Bogusz <qboosh@pld-linux.org> f5f8325
- updated to 1.1.0

* Wed Mar 09 2016 Jakub Bogusz <qboosh@pld-linux.org> 22be9fd
- fix for libdir != /usr/lib

* Wed Mar 09 2016 Jakub Bogusz <qboosh@pld-linux.org> bd828af
- move tdbcConfig.sh to /usr/lib, so tdbc drivers can find it
- make tdbc .so module executable to be visible to rpm dependency generator
- devel R: tcl-devel

* Wed Mar 09 2016 Jakub Bogusz <qboosh@pld-linux.org> 78635e3
- new

